{% extends 'base.html.twig' %}

{% block body -%}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Pool di indirizzi IP</h1>

            <div class="table-responsive">
                <table class="table table-striped table-hover table-responsive">
                    <thead>
                    <tr>
                        <th>Nome</th>
                        <th>Server Dhcp</th>
                        <th>Ip start</th>
                        <th>Ip end</th>
                        <th>Ip mikrotik</th>
                        <th>Creare automaticamente?</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for entity in pagination %}
                        <tr>
                            <td><a href="{{ path('mikrotik_pool_edit', { 'id': entity.id }) }}">{{ entity.nome }}</td>
                            <td>{{ entity.dhcpServerName }}</td>
                            <td>{{ entity.dottedIpStart }}</td>
                            <td>{{ entity.dottedIpEnd }}</td>
                            <td>{{ entity.mikrotik }}</td>
                            <td>
                                <i class="{{ entity.creareSuMikrotik  ? 'fas fa-check' : 'fas fa-times' }}"></i>
                            </td>
                            <td>
                                <a href="{{ path('mikrotik_pool_edit', { 'id': entity.id }) }}" class="btn btn-primary btn-sm">
                                    Modifica
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <div class="row">
                <div class="col-12 col-md-6 col-xl-4 mb-3 d-grid gap-2 d-xl-flex align-items-center justify-content-center justify-content-md-start order-0">
                    <div class="navigation">
                        {{ knp_pagination_render(pagination) }}
                    </div>
                </div>
                <div class="col-12 col-xl-4 mb-2 d-grid gap-2 d-xl-flex align-items-center justify-content-xl-center order-2 order-xl-1">
                    <a class="btn btn-success" href="{{ path('mikrotik_pool_new') }}">
                        Aggiungi un nuovo pool
                    </a>
                </div>
                <div class="col-12 col-md-6 col-xl-4 mb-3 d-grid gap-2 d-xl-flex align-items-center justify-content-md-end order-1 order-xl-2">
                    <form class="form-search" action="{{ path('mikrotik_pool') }}">
                        <div class="d-flex gap-1">
                            <input type="text" style="width: inherit; display: inline;"
                                   id="queryString" name="queryString" class="form-control flex-grow-1 flex-md-grow-0" placeholder="Cerca"
                                   value="{{ (queryString is defined)?queryString|escape('html') }}">
                            <button class="btn btn-secondary" type="submit">
                                <i class="fa-solid fa-magnifying-glass"></i>
                            </button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </main>
{% endblock %}
